com.holonplatform.jaxrs.spring.boot.jersey.internal

## Class JerseyResourcesPostProcessor

- java.lang.Object
- - com.holonplatform.jaxrs.spring.boot.jersey.internal.JerseyResourcesPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer

      public class JerseyResourcesPostProcessor
      extends Object
      implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer, org.springframework.beans.factory.BeanClassLoaderAware

  A `BeanFactoryPostProcessor` to detect valid `Path` and `Provider` annotated bean classes and register them in Jersey server configuration as JAX-RS resources.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JerseyResourcesPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customize(org.glassfish.jersey.server.ResourceConfig config)`
    `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
    `void` | `setBeanClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JerseyResourcesPostProcessor

          public JerseyResourcesPostProcessor()

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### postProcessBeanFactory

          public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                      throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### customize

          public void customize(org.glassfish.jersey.server.ResourceConfig config)

      Specified by:
        `customize` in interface `org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer`

Copyright © 2019 The Holon Platform. All rights reserved.